package com.ibiz.core.module2.valuerule.anno.im;

import com.ibiz.core.module2.valuerule.validator.im.IMHqbmDefaultValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * 值规则注解
 * 实体：IM
 * 属性：Hqbm
 * 值规则：Default
 */
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {IMHqbmDefaultValidator.class})
public @interface IMHqbmDefault {
    //是否默认检查
    boolean flag() default true;

    //值规则名称
    String info() default "默认规则";

    //值规则信息，如果为空，使用值规则名称。
    String message() default "内容长度必须小于等于[1000]";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
